<?php
/**
 * Created by PhpStorm.
 * User: Nazarbin.com
 * Date: 11/29/2016
 * Time: 10:02 PM
 */

// create custom plugin settings menu
add_action('admin_menu', 'on5_create_menu');

function on5_create_menu() {

    //create new top-level menu
    add_menu_page('تنظیمات نظربین', 'نظربین', 'administrator', __FILE__, 'on5_settings_page' , ON5_PLUGIN_URL.'assets/logo-2-500x128-62.png' );

    //call register settings function
    add_action( 'admin_init', 'register_on5_settings' );
}


function register_on5_settings() {
    //register our settings
    register_setting( 'on5-settings-group', 'nazarbin_site_id' );
    register_setting( 'on5-settings-group', 'spam_comment_error' );
    register_setting( 'on5-settings-group', 'ok_action' );
    register_setting( 'on5-settings-group', 'hold_action' );
    register_setting( 'on5-settings-group', 'not_action' );
}