<?php
/**
 * Created by PhpStorm.
 * User: T-bag
 * Date: 12/3/2016
 * Time: 7:51 PM
 */
function on5_settings_page() {
    ?>
    <div class="wrap">
        <h1>پیکربندی افزونه نظربین</h1>

        <form method="post" action="options.php">
            <?php settings_fields( 'on5-settings-group' ); ?>
            <?php do_settings_sections( 'on5-settings-group' ); ?>
            <table class="form-table">
                <tr valign="top">
                    <th scope="row"><label for="nazarbin_site_id">کلید اتصال</label></th>
                    <td><input class="regular-text" type="text" name="nazarbin_site_id" value="<?php echo esc_attr( get_option('nazarbin_site_id') ); ?>" />
                    <p>به منظور استفاده از سرویس نظربین نیازمند کلید اتصال هستید که به صورت خودکار در هنگام فعال سازی در اختیارتان قرار داده می‌شود.</p>
                    </td>
                </tr>

                <tr valign="top">
                    <th scope="row">
                        <label for="spam_comment_error">پیام، جهت نمایش برای نظرات غیرمجاز</label>
                        </th>
                    <td>
                        <textarea name="spam_comment_error" id="spam_comment_error" cols="30" rows="10"><?php echo esc_attr( get_option('spam_comment_error') ); ?></textarea>
                        <p>در صورتی که نظر ارسالی کاربر غیر مجاز شناخته شود این پیام نمایش داده خواهد شد.</p></td>
                </tr>

                <tr valign="top">
                    <th scope="row"><label for="">تنظیمات رفتار سرویس نظربین با نظرات</label></th>
                    <td></td>
                </tr>
                <tr valign="top">
                    <th scope="row"><label for="ok_action">در صورت دریافت عبارت «تایید» از نظربین</label></th>
                    <td>
                        <?php
                        $ok_action = esc_attr( get_option('ok_action') );
                        ?>
                        <select name="ok_action" id="ok_action">
                            <option <?= ($ok_action == 'approve')? 'selected' :''; ?> value="approve">انتشار</option>
                            <option <?= ($ok_action == 'hold')? 'selected' :''; ?> value="hold">نیاز به بررسی</option>
                            <option <?= ($ok_action == 'spam')? 'selected' :''; ?> value="spam">جفنگ</option>
                            <option <?= ($ok_action == 'delete')? 'selected' :''; ?> value="delete">حذف</option>
                        </select>
                        <p>نظر کاربر پس از دریافت «تایید» از نظربین، در چه وضعیتی قرار گیرد؟</p>
                        </td>
                </tr>
                <tr valign="top">
                    <th scope="row"><label for="hold_action">در صورت دریافت عبارت «نیاز به بررسی» از نظربین</label></th>
                    <td>
                        <?php
                        $hold_action = esc_attr( get_option('hold_action') );
                        ?>
                        <select name="hold_action" id="hold_action">
                            <option <?= ($hold_action == 'approve')? 'selected' :''; ?> value="approve">انتشار</option>
                            <option <?= ($hold_action == 'hold')? 'selected' :''; ?> value="hold">نیاز به بررسی</option>
                            <option <?= ($hold_action == 'spam')? 'selected' :''; ?> value="spam">جفنگ</option>
                            <option <?= ($hold_action == 'delete')? 'selected' :''; ?> value="delete">حذف</option>
                        </select>
                        <p>نظر کاربر پس از دریافت «نیاز به بررسی» از نظربین، در چه وضعیتی قرار گیرد؟</p>
                    </td>
                </tr>
                <tr valign="top">
                    <th scope="row"><label for="not_action">در صورت دریافت عبارت «عدم تایید» از نظربین</label></th>
                    <td>
                        <?php
                        $not_action = esc_attr( get_option('not_action') );
                        ?>
                        <select name="not_action" id="not_action">
                            <option <?= ($not_action == 'approve')? 'selected' :''; ?> value="approve">انتشار</option>
                            <option <?= ($not_action == 'hold')? 'selected' :''; ?> value="hold">نیاز به بررسی</option>
                            <option <?= ($not_action == 'spam')? 'selected' :''; ?> value="spam">جفنگ</option>
                            <option <?= ($not_action == 'delete')? 'selected' :''; ?> value="delete">حذف</option>
                        </select>
                        <p>نظر کاربر پس از دریافت «عدم تایید» از نظربین، در چه وضعیتی قرار گیرد؟</p>
                    </td>
                </tr>
            </table>

            <?php submit_button(); ?>

        </form>
    </div>
<?php }