<?php
/**
 * Created by PhpStorm.
 * User: Nazarbin.com
 * Date: 11/29/2016
 * Time: 8:54 PM
 */
register_activation_hook(ON5_PLUGIN_FILE, 'on5_plugin_Activation');
// Activation plugin
function on5_plugin_Activation() {
     $api_key = GetAPIKey();
     update_option('nazarbin_site_id',$api_key);
    if(!get_option('ok_action')){
        update_option('ok_action','approve');
    }
    if(!get_option('hold_action')){
        update_option('hold_action','hold');
    }
    if(!get_option('not_action')){
        update_option('not_action','spam');
    }
    if(!get_option('spam_comment_error')){
        update_option('spam_comment_error','نظر شما به دلیل مغایرت با قوانین وب سایت،‌ از سیستم حذف شد.');
    }

}

add_action('wp_insert_comment','comment_inserted',99,2);

function comment_inserted($comment_id, $comment_object) {
    $nb_alert = '';
    $YourSiteID = get_option('nazarbin_site_id');

    $return = SendParam($comment_id, $comment_object->comment_content, $comment_object->comment_author, $comment_object->comment_author_email, $comment_object->comment_author_url, $YourSiteID);
    if(isset($return) && is_object($return) && $return->Status != ''){
        if($return->Status > 0){
            wp_set_comment_status($comment_id,get_option('ok_action'));
        }elseif($return->Status == 0){
            wp_set_comment_status($comment_id,get_option('hold_action'));
        }elseif($return->Status < 0){
            wp_set_comment_status($comment_id,get_option('not_action'));
            $nb_alert =nl2br(get_option('spam_comment_error'));
            $args = array();
            my_custom_die_handler($nb_alert,'خطا',$args);
        }else{
            wp_set_comment_status($comment_id,'hold');
        }
    }

}


is_admin() && add_filter( 'gettext',
    function( $translated_text, $untranslated_text, $domain )
    {
        $old = array(
            "Plugin <strong>activated</strong>.",
            "Selected plugins <strong>activated</strong>."
        );
        $api_key = get_option('nazarbin_site_id');
        $new = "پلاگین نظربین فعال شد. کلید اتصال سایت شما <strong>{$api_key}</strong> است. لطفا آن را جایی ذخیره کنید.";

        if ( in_array( $untranslated_text, $old, true ) )
            $translated_text = $new;

        return $translated_text;
    }
    , 99, 3 );
